%define	url_ver		%(echo %{version} | cut -d "." -f -2)

%define	lib_major	1
%define	lib_name	%mklibname %{name} %{lib_major}
%define develname	%mklibname %{name} -d

Summary:	Library to handle various audio file formats
Name:		audiofile
Version:	0.3.6
%define subrel	3
Release:	%mkrel 4
License:	LGPLv2+
Group:		System/Libraries
Source0:	https://download.gnome.org/sources/%name/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		audiofile-0.3.6-CVE-2015-7747.patch
Patch1:         01_gcc6.patch
Patch2:         02_hurd.patch
Patch3:         04_clamp-index-values-to-fix-index-overflow-in-IMA.cpp.patch
Patch4:         05_Always-check-the-number-of-coefficients.patch
Patch5:         06_Check-for-multiplication-overflow-in-MSADPCM-decodeSam.patch
Patch6:         07_Check-for-multiplication-overflow-in-sfconvert.patch
Patch7:         08_Fix-signature-of-multiplyCheckOverflow.-It-returns-a-b.patch
Patch8:         09_Actually-fail-when-error-occurs-in-parseFormat.patch
Patch9:		10_Check-for-division-by-zero-in-BlockCodec-runPull.patch

URL:		http://www.68k.org/~michael/audiofile/
BuildRequires:	pkgconfig(alsa)

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n	%{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n	%{develname}
Summary:	Includes and other files to develop audiofile applications
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	%{_lib}audiofile0-devel < 0.3.2

%description -n	%{develname}
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-largefile --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo
%{_mandir}/man1/*

%files -n %{lib_name}
%doc COPYING README
%{_libdir}/*.so.%{lib_major}
%{_libdir}/*.so.%{lib_major}*

%files -n %{develname}
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*


%changelog
* Tue May 02 2017 luigiwalser <luigiwalser> 0.3.6-4.3.mga5
+ Revision: 1098249
- apply missing security patch from debian
- actually apply security patches
- add patch suggested upstream to fix CVE-2015-7747

  + neoclust <neoclust>
    - Add debian patches to fix:
            * CVE-2017-6829
            * CVE-2017-6831
            * CVE-2017-6832
            * CVE-2017-6833
            * CVE-2017-6834
            * CVE-2017-6835
            * CVE-2017-6836
            * CVE-2017-6837
            * CVE-2017-6838
            * CVE-2017-6839
            * CVE-2017-6827
            * CVE-2017-6828

* Wed Oct 15 2014 umeabot <umeabot> 0.3.6-4.mga5
+ Revision: 743596
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.6-3.mga5
+ Revision: 678044
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.6-2.mga4
+ Revision: 523547
- Mageia 4 Mass Rebuild

* Thu May 23 2013 dams <dams> 0.3.6-1.mga4
+ Revision: 424963
- new version 0.3.6

* Wed Feb 06 2013 ovitters <ovitters> 0.3.5-1.mga3
+ Revision: 394771
- new version 0.3.5

* Fri Jan 11 2013 umeabot <umeabot> 0.3.4-2.mga3
+ Revision: 346580
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 01 2012 ovitters <ovitters> 0.3.4-1.mga3
+ Revision: 234421
- new version 0.3.4

  + fwang <fwang>
    - drop unused patch

* Thu Jan 12 2012 fwang <fwang> 0.3.3-1.mga2
+ Revision: 195267
- update libmajor
- new version 0.3.3

* Wed Nov 30 2011 fwang <fwang> 0.3.2-1.mga2
+ Revision: 174369
- update file list
- more linkage fix
- fix linkage
- new version 0.3.2

* Tue Sep 27 2011 ovitters <ovitters> 0.3.1-3.mga2
+ Revision: 149574
- clean spec file

* Mon Sep 26 2011 shlomif <shlomif> 0.3.1-2.mga2
+ Revision: 148759
- Add the missing alsa-lib-devel BuildRequires
- Upgraded to 0.3.1. Some changes inspired by the Mandriva spec.

* Wed Jan 12 2011 blino <blino> 0.2.7-3.mga1
+ Revision: 6607
- remove old ldconfig scriptlets
- imported package audiofile


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-2mdv2011.0
+ Revision: 603479
- rebuild

* Wed Apr 28 2010 Götz Waschk <waschk@mandriva.org> 0.2.7-1mdv2010.1
+ Revision: 540157
- new version
- drop old patches
- update license

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-15mdv2010.1
+ Revision: 490980
- synch debian patches from audiofile_0.2.6-8.diff.gz

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.6-14mdv2010.0
+ Revision: 413125
- rebuild

* Fri Mar 06 2009 Antoine Ginies <aginies@mandriva.com> 0.2.6-13mdv2009.1
+ Revision: 350135
- 2009.1 rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 0.2.6-12mdv2009.0
+ Revision: 220468
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.6-10mdv2008.0
+ Revision: 89524
- Rebuild

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags


* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.2.6-8mdv2007.0
+ Revision: 126864
- rebuild for pkgconfig provides

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.2.6-7mdv2007.1
+ Revision: 108676
- Import audiofile

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.2.6-7mdv2007.1
- unpack patches

* Sat May 13 2006 Stefan van der Eijk <stefan@eijk.nu> 0.2.6-6mdk
- rebuild for sparc

* Tue Jan 24 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.2.6-5mdk
- fix underquoted calls (P1 from fedora)
- %%mkrel
- cosmetics

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.2.6-4mdk
- Rebuild

* Thu Feb 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.6-3mdk
- cleanup patch0 (libdir) to make audiofile-config arch-independent

* Fri Apr 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.6-2mdk
- Fix package URL (no longer SGI)

* Fri Apr 23 2004 Götz Waschk <waschk@linux-mandrake.com> 0.2.6-1mdk
- fix source URL
- New release 0.2.6

